﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BBS_UploadFile.aspx.cs" Inherits="BBS_UploadFile" %>

<%@ Import Namespace="Krystalware.SlickUpload" %>
<%@ Register TagPrefix="kw" Assembly="Krystalware.SlickUpload" Namespace="Krystalware.SlickUpload.Web.Controls" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link rel="stylesheet" type="text/css" href="<%=ResolveUrl("~/content/site.css") %>" />
    <link rel="stylesheet" type="text/css" href="<%=ResolveUrl("~/content/slickupload.css") %>" />
    <script type="text/javascript" src="Content/jquery-1.6.2.min.js"></script>
    <!--[if lte IE 6]>
    <style type="text/css">
        a, span, b, img { behavior: url(<%=ResolveUrl("~/Content/iepngfix/iepngfix.htc") %>) }
    </style>
    <script type="text/javascript" src="<%=ResolveUrl("~/Content/iepngfix/iepngfix_tilebg.js") %>"></script>
    <script type="text/javascript">
        var _kwInit = _kwInit || [];

        _kwInit.push(function() { window.setTimeout(IEPNGFix.update, 1); });
    </script>
<![endif]-->

    <script type="text/javascript">


        function cancelUpload() {
            kw("<%=slickUpload.ClientID %>").cancel();

            document.getElementById("cancelButton").style.display = "none";
        }


        function onFileSelectionChanged(data) {
            document.getElementById("<%=uploadButton.ClientID %>").className = "" + (kw("<%=slickUpload.ClientID %>").get_Files().length > 0 ? "" : " disabled");
            document.getElementById("<%=requiredFilesValidator.ClientID %>").style.display = "none";
        }


        function onSessionStarted(data) {
            document.getElementById("<%=uploadButton.ClientID %>").style.display = "none";
            document.getElementById("cancelButton").style.display = "none";

            $("a.su-removecommand").hide();
        }

        function onBeforeSessionEnd(data) {
            document.getElementById("<%=uploadButton.ClientID %>").style.display = "none";
            document.getElementById("cancelButton").style.display = "none";
        }

        function Validate_SlickUploadRequiredFiles(source, args) {
            args.IsValid = (kw("<%=slickUpload.ClientID %>").get_Files().length > 0);
        }

        function Validate_SlickUploadValidFiles(source, args) {
            var files = kw("<%=slickUpload.ClientID %>").get_Files();

            args.IsValid = true;

            for (var i = 0; i < files.length; i++) {
                if (!files[i].get_IsValid()) {
                    args.IsValid = false;

                    return;
                }
            }
        }


    </script>
</head>
<body style="width: 650px;">
    <form id="uploadForm" runat="server" style="width: 650px;">
        <asp:Panel ID="uploadPanel" runat="server" Width="650">

            <table class="settings">
                <tbody>
                    <tr>
                        <th style="color: #333; height: 22px; line-height: 22px; padding: 0px 10px; font-family: '宋体'; font-family: Arial, Helvetica, sans-serif; font-size: 12px; border-bottom: solid 1px #d8d8d8"><span style="float: left; margin-right: 6px;">
                            <img class="m_b3" src="images/ico_l.gif" width="19" height="19" /></span>请选择您要上传的文件</th>
                    </tr>
                    <tr>
                        <td>
                            <kw:SlickUpload ID="slickUpload" OnClientUploadSessionStarted="onSessionStarted" OnClientBeforeSessionEnd="onBeforeSessionEnd" OnClientFileAdded="onFileSelectionChanged" OnClientFileRemoved="onFileSelectionChanged" CssClass="simple" ShowDropZoneOnDocumentDragOver="true" Style="overflow: hidden; zoom: 1" FileSelectorStyle="float:left" FileListStyle="clear:both" UploadProgressDisplayStyle="clear:both" UploadProfile="customUploadStreamProvider" OnUploadComplete="slickUpload_UploadComplete" runat="server" MaxFiles="1" MaxFileSize="1024000">
                                <selectortemplate>
                                <a>
                                    <span style="float: left; background-image: url(images/add.gif); width: 81px; height: 20px; border: 0px;"><b class="icon add"></b></span>
                                </a>
                            </selectortemplate>
                                <fileitemtemplate>
                                <div class="filedata">
                                    <kw:FileListElement ID="FileListElement1" Element="FileName" runat="server" />
                                    &ndash;
                                        <kw:FileListElement ID="FileListElement2" Element="FileSize" runat="server">(正在计算文件大小)</kw:FileListElement>
                                </div>
                                <kw:FileListRemoveCommand ID="FileListRemoveCommand1" runat="server" href="javascript:;">[x]</kw:FileListRemoveCommand>
                                <kw:FileListElement ID="FileListElement3" Element="ValidationMessage" runat="server" Style="color: #f00" />
                            </fileitemtemplate>
                                <progresstemplate>
                                <div id="duringUpload">
                                    <div style="display: none; font-size: 12px;">
                                        正在上传
                                        <kw:UploadProgressElement ID="UploadProgressElement1" Element="FileCount" runat="server" />
                                        个文件,
                                                <kw:UploadProgressElement ID="UploadProgressElement2" Element="ContentLengthText" runat="server">(计算中)</kw:UploadProgressElement>
                                        .
                                    </div>
                                    <div style="font-size: 13px;">
                                        <b>正在上传:</b>
                                        <kw:UploadProgressElement ID="UploadProgressElement3" Element="CurrentFileName" runat="server" />
                                        <span style="display: none;">
                                            <kw:UploadProgressElement ID="UploadProgressElement4" Element="CurrentFileIndex" runat="server" />
                                            <kw:UploadProgressElement ID="UploadProgressElement5" Element="FileCount" runat="server" />
                                        </span>
                                    </div>
                                    <div style="font-size: 13px;">
                                        <b>速度:</b>
                                        <kw:UploadProgressElement ID="UploadProgressElement6" Element="SpeedText" runat="server">(计算中)</kw:UploadProgressElement>
                                    </div>
                                    <div style="display: none;">
                                        <kw:UploadProgressElement ID="UploadProgressElement7" Element="TimeRemainingText" runat="server">(计算中)</kw:UploadProgressElement>
                                    </div>
                                    <div class="progressBarContainer" style="font-size: 12px;">
                                        <kw:UploadProgressBar ID="UploadProgressBar1" runat="server" />
                                        <div class="progressBarText">
                                            <kw:UploadProgressElement ID="UploadProgressElement8" Element="PercentCompleteText" runat="server">(计算中)</kw:UploadProgressElement>
                                        </div>
                                    </div>
                                </div>
                            </progresstemplate>
                            </kw:SlickUpload>
                        </td>
                    </tr>
                    <tr style="font-size: 12px;">
                        <td>
                            <asp:CustomValidator ID="requiredFilesValidator" runat="server" ClientValidationFunction="Validate_SlickUploadRequiredFiles" Text="请选择您要上传的文件" Display="Dynamic" />
                            <asp:CustomValidator ID="summaryValidator" runat="server" ClientValidationFunction="Validate_SlickUploadValidFiles" Display="Dynamic" /></td>
                    </tr>
                </tbody>
            </table>
            <p>
                <asp:LinkButton ID="uploadButton" runat="server" CssClass="disabled" CausesValidation="true">
 <span style="float:left;background-image:url(images/sc.gif); width:66px; height:24px; border:0px;"><b class="icon upload"></b></span></asp:LinkButton>

                <a id="cancelButton" href="javascript:;" onclick="cancelUpload()" style="display: none" class="button">
                    <span><b class="icon cancel"></b>Cancel</span>
                </a>
                <div style="clear: both"></div>
                <p>
                </p>
            </p>
        </asp:Panel>
        <asp:Panel ID="uploadResultPanel" runat="server" Visible="false" Width="450">
            <table class="settings">
                <tr>
                    <th style="color: #333; height: 22px; line-height: 22px; padding: 0px 10px; font-family: '宋体'; font-family: Arial, Helvetica, sans-serif; font-size: 12px; border-bottom: solid 1px #d8d8d8"><span style="float: left; margin-right: 6px;">
                        <img class="m_b3" src="images/ico_l.gif" width="19" height="19" /></span>上传结果</th>
                </tr>
                <% if (slickUpload.UploadSession != null)
                   { %>
                <tr>
                    <td align="center">
                        <%if (slickUpload.UploadSession.State.ToString() == "Error")
                          {%><span style="font-size: 14px; color: #f00;">上传失败！</span><% }
                          else if (slickUpload.UploadSession.State.ToString() == "Complete")
                          {%><img class="m_b3" src="images/y.gif" width="27" height="24" /><span style="color: #427502; font-size: 14px;"> <strong>上传成功！</strong></span><%} %>
                    </td>
                </tr>
                <% if (slickUpload.UploadSession.State != UploadState.Error)
                   { %>
                <tr>
                    <td><span style="font-size: 12px;">您上传的文件信息</span></td>
                </tr>
                <tr>
                    <td>
                        <table style="background-color: #d8d8d8" width="630" border="0" cellpadding="1" cellspacing="1">
                            <thead>
                                <tr>
                                    <th align="left" bgcolor="#faf9f9" style="padding-left: 10px; height: 30px; font-size: 12px;">文件名</th>
                                    <th align="left" bgcolor="#faf9f9" style="padding-left: 10px; font-size: 12px;">文件大小</th>
                                </tr>
                            </thead>
                            <tbody>
                                <asp:Repeater ID="resultsRepeater" runat="server">
                                    <ItemTemplate>
                                        <tr>
                                            <td bgcolor="#FFFFFF" style="padding-left: 10px; height: 30px; font-size: 12px;"><%#((UploadedFile)Container.DataItem).ClientName %></td>
                                            <td bgcolor="#FFFFFF" style="padding-left: 10px; font-size: 12px;"><%#getFileSize(((UploadedFile)Container.DataItem).ContentLength)%></td>
                                        </tr>
                                    </ItemTemplate>
                                </asp:Repeater>
                                <% if (slickUpload.UploadSession.UploadedFiles.Count == 0)
                                   { %>
                                <tr class="nodata">
                                    <td colspan="3">没有接收到任何文件</td>
                                </tr>
                                <% } %>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <% }
                   else
                   { %>
                <tr>
                    <td>错误提示: <%if (slickUpload.UploadSession.ErrorSummary == "Cancelled")
                                { %>您取消了上传<%}
                                else
                                { %><%=slickUpload.UploadSession.ErrorSummary %><%} %>
                    </td>
                </tr>
                <% } %>
                <% }
                   else
                   { %>
                <tr>
                    <td>没有接收到任何文件</td>
                </tr>
                <% } %>

                <tr>
                    <td style="height: 60px;">
                        <asp:LinkButton ID="newUploadButton" runat="server" OnClick="newUploadButton_Click">
 <span style="float:left; background-image:url(images/cxsc.gif); width:66px; height:24px;border:0px;"><b class="icon newupload"></b></span></asp:LinkButton>
                    </td>
                </tr>
            </table>

        </asp:Panel>
    </form>
</body>
</html>
